<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('penawaran', function (Blueprint $table) {
            $table->string('spk_no')->nullable()->after('status');
            $table->string('spk_no_core')->nullable()->after('spk_no');
            $table->string('spk_dokumen_path')->nullable()->after('spk_no_core');            
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('penawaran', function (Blueprint $table) {
            $table->dropColumn('spk_no');
            $table->dropColumn('spk_no_core');
            $table->dropColumn('spk_dokumen_path');
        });
    }
};
